POST
/api/v1/evaluators/diffField-level diff between two evaluator versions
Returns the added, removed, and modified fields between two versions of a named evaluator.
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.
Request body required
Example
{
"projectId": "00000000-0000-0000-0000-000000000000",
"name": "string",
"fromVersion": 1,
"toVersion": 1
}Schema
{
"application/json": {
"schema": {
"type": "object",
"properties": {
"projectId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"fromVersion": {
"type": "integer",
"minimum": 1,
"maximum": 9007199254740991
},
"toVersion": {
"type": "integer",
"minimum": 1,
"maximum": 9007199254740991
}
},
"required": [
"projectId",
"name",
"fromVersion",
"toVersion"
],
"additionalProperties": false
}
}
}Response
All status codes
200Version diff
404One or both versions not found
Code samples
cURL
curl -X POST \
https://evalguard.ai/api/v1/evaluators/diff \
-H "Authorization: Bearer $EVALGUARD_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "projectId": "00000000-0000-0000-0000-000000000000", "name": "string", "fromVersion": 1, "toVersion": 1 }'TypeScript
import { EvalGuard } from "@evalguard/sdk";
const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });
const response = await client.request({
method: "POST",
path: "/api/v1/evaluators/diff",
body: {
"projectId": "00000000-0000-0000-0000-000000000000",
"name": "string",
"fromVersion": 1,
"toVersion": 1
},
});
console.log(response);Python
from evalguard import EvalGuard
import os
client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])
response = client.request(
method="POST",
path="/api/v1/evaluators/diff",
body={
"projectId": "00000000-0000-0000-0000-000000000000",
"name": "string",
"fromVersion": 1,
"toVersion": 1
},
)
print(response)Go
package main
import (
"context"
"fmt"
"net/http"
"os"
"strings"
)
func main() {
body := strings.NewReader(`{"projectId":"00000000-0000-0000-0000-000000000000","name":"string","fromVersion":1,"toVersion":1}`)
req, _ := http.NewRequestWithContext(context.Background(), "POST", "https://evalguard.ai/api/v1/evaluators/diff", body)
req.Header.Set("Authorization", "Bearer "+os.Getenv("EVALGUARD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer resp.Body.Close()
fmt.Println(resp.Status)
}Errors
404